package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Weatherfh;
import com.gyee.frame.model.auto.WeatherfhExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  WeatherfhMapper
 * @author Wang Jiawen_自动生成
 * @email 1@qq.com
 * @date 2020-01-07 16:14:18
 */
public interface WeatherfhMapper {
      	   	      	      	      	      	      	      	      	      	      
    long countByExample(WeatherfhExample example);

    int deleteByExample(WeatherfhExample example);
		
    int deleteByPrimaryKey(Integer id);
		
    int insert(Weatherfh record);

    int insertSelective(Weatherfh record);

    List<Weatherfh> selectByExample(WeatherfhExample example);
		
    Weatherfh selectByPrimaryKey(Integer id);
		
    int updateByExampleSelective(@Param("record") Weatherfh record, @Param("example") WeatherfhExample example);

    int updateByExample(@Param("record") Weatherfh record, @Param("example") WeatherfhExample example); 
		
    int updateByPrimaryKeySelective(Weatherfh record);

    int updateByPrimaryKey(Weatherfh record);
  	  	
}